package com.xingyue.atbird.cs.listener;

import com.xingyue.atbird.cs.dto.BaseResponseDTO;
import com.xingyue.atbird.cs.util.ResultUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/listener")
public class CallBackListener {
    @RequestMapping(value = "/callback.do")
    public BaseResponseDTO callback(String uuid, String result) {
        ResultUtils.RESULT_MAP.put(uuid, result);
        return BaseResponseDTO.OK("callback ok: " + uuid);
    }
}
